summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2018-12-06 15:15:02 +0100
committerRemi Collet <remi@remirepo.net>2018-12-06 15:15:02 +0100
commit19ea6518df03988414db088dcc3b44e9025e579e (patch)
treeaa7a72fd4f742512e101e1e2a0a50d2d0e627734
parent47fec4af1024dcb53ca0e09788ac54fbaea2877c (diff)
use range dependenciesHEADmaster
temporarily disable test suite
-rw-r--r--php-zendframework-zend-stratigility.spec35
1 files changed, 31 insertions, 4 deletions
diff --git a/php-zendframework-zend-stratigility.spec b/php-zendframework-zend-stratigility.spec
index 97af6db..b105333 100644
--- a/php-zendframework-zend-stratigility.spec
+++ b/php-zendframework-zend-stratigility.spec
@@ -1,12 +1,12 @@
# remirepo/Fedora spec file for php-zendframework-zend-stratigility
#
-# Copyright (c) 2016-2017 Remi Collet
+# Copyright (c) 2016-2018 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
-%global bootstrap 0
+%global bootstrap 1
%global gh_commit 2c4120d2af215c8261a36e0bc3aa8e179e05e148
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner zendframework
@@ -21,7 +21,7 @@
Name: php-%{gh_owner}-%{gh_project}
Version: 1.3.3
-Release: 4%{?dist}
+Release: 7%{?dist}
Summary: Middleware for PHP
Group: Development/Libraries
@@ -34,8 +34,17 @@ BuildArch: noarch
# Tests
%if %{with_tests}
BuildRequires: php(language) >= 5.6
+# remirepo:1
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+Requires: (php-composer(psr/http-message) >= 1.0 with php-composer(psr/http-message) < 2)
+Requires: (php-autoloader(%{gh_owner}/zend-escaper) >= 2.3 with php-autoloader(%{gh_owner}/zend-escaper) < 3)
+# remirepo:6
+%else
+BuildRequires: php-composer(psr/http-message) < 2
BuildRequires: php-composer(psr/http-message) >= 1.0
+BuildRequires: php-autoloader(%{gh_owner}/zend-escaper) < 3
BuildRequires: php-autoloader(%{gh_owner}/zend-escaper) >= 2.3
+%endif
BuildRequires: php-composer(http-interop/http-middleware) >= 0.2
BuildRequires: php-pcre
BuildRequires: php-reflection
@@ -44,7 +53,14 @@ BuildRequires: php-spl
# "zendframework/zend-diactoros": "^1.0",
# "phpunit/phpunit": "^5.6",
# "zendframework/zend-coding-standard": "~1.0.0"
+# remirepo:1
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+BuildRequires: (php-autoloader(%{gh_owner}/zend-diactoros) >= 1.0 with php-autoloader(%{gh_owner}/zend-diactoros) < 2)
+# remirepo:4
+%else
+BuildRequires: php-autoloader(%{gh_owner}/zend-diactoros) < 2
BuildRequires: php-autoloader(%{gh_owner}/zend-diactoros) >= 1.0
+%endif
BuildRequires: php-composer(phpunit/phpunit) >= 5.6
%endif
# Autoloader
@@ -56,14 +72,21 @@ BuildRequires: php-fedora-autoloader-devel
# "zendframework/zend-escaper": "^2.3",
# "http-interop/http-middleware": "^0.2.0"
Requires: php(language) >= 5.6
+# remirepo:1
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+Requires: (php-composer(psr/http-message) >= 1.0 with php-composer(psr/http-message) < 2)
+Requires: (php-autoloader(%{gh_owner}/zend-escaper) >= 2.3 with php-autoloader(%{gh_owner}/zend-escaper) < 3)
+# remirepo:6
+%else
Requires: php-composer(psr/http-message) >= 1.0
Requires: php-composer(psr/http-message) < 2
Requires: php-autoloader(%{gh_owner}/zend-escaper) >= 2.3
Requires: php-autoloader(%{gh_owner}/zend-escaper) < 3
+%endif
Requires: php-composer(http-interop/http-middleware) >= 0.2
# From composer, "suggest": {
# "psr/http-message-implementation": "Please install a psr/http-message-implementation to consume Stratigility; e.g., zendframework/zend-diactoros"
-%if 0%{?fedora} >= 21
+%if 0%{?fedora} >= 21 || 0%{?rhel} >= 8
Suggests: php-autoloader(%{gh_owner}/zend-diactoros)
%endif
# Autoloader
@@ -154,6 +177,10 @@ exit $ret
%changelog
+* Thu Dec 6 2018 Remi Collet <remi@remirepo.net> - 1.3.3-7
+- use range dependencies
+- temporarily disable test suite
+
* Sat Dec 9 2017 Remi Collet <remi@remirepo.net> - 1.3.3-4
- switch from zend-loader to fedora/autoloader